Bug 729565 - Wrong encoding of cyrillic symbols in open-file dialog.
Summary: Wrong encoding of cyrillic symbols in open-file dialog.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PyQt4
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 08:20 UTC by Vasiliy Glazov
Modified: 2013-07-04 05:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-04 05:49:35 UTC


Attachments (Terms of Use)
Screenshot of wrong encoded dir names (39.91 KB, image/png)
2011-08-10 08:20 UTC, Vasiliy Glazov
no flags Details

Description Vasiliy Glazov 2011-08-10 08:20:20 UTC
Created attachment 517536 [details]
Screenshot of wrong encoded dir names

Description of problem:
Wrong encoding of cyrillic symbols in dir and file names when open iso-file from local disk.

Version-Release number of selected component (if applicable):
liveusb-creator-3.11.4-1.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
Just run and try open iso-file.

Comment 1 Vasiliy Glazov 2012-03-15 05:07:47 UTC
Same problem in liveusb-creator-3.11.6-1.fc16.noarch
Please, fix it.

Comment 2 Fedora End Of Life 2013-01-16 14:53:58 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Alexei Panov 2013-01-16 16:13:39 UTC
Still persist in Fedora 17.
liveusb-creator-3.11.7-1.fc17.noarch.rpm

Comment 4 Luke Macken 2013-03-01 21:58:00 UTC
Seems like an issue with PyQt4. The liveusb-creator simply calls this method to display the open-file form:

isofile = QtGui.QFileDialog.getOpenFileName(self, _("Select Live ISO"), ".", "ISO (*.iso)" )

Reassigning to PyQt4...

Comment 5 Fedora End Of Life 2013-07-04 02:46:08 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Vasiliy Glazov 2013-07-04 05:49:08 UTC
Problem solved in Fedora 19.


Note You need to log in before you can comment on or make changes to this bug.